## org.springframework.dao
Class TransientDataAccessResourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.TransientDataAccessException
                              org.springframework.dao.TransientDataAccessResourceException

All Implemented Interfaces:
  Serializable

    public class TransientDataAccessResourceException

extends TransientDataAccessException

Data access exception thrown when a resource fails temporarily and the operation can be retried.

Since:
  2.5
Author:
  Thomas Risberg
See Also:
  `SQLTransientConnectionException`, Serialized Form

Constructor Summary
`TransientDataAccessResourceException(String msg)` Constructor for TransientDataAccessResourceException.
`TransientDataAccessResourceException(String msg, Throwable cause)` Constructor for TransientDataAccessResourceException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransientDataAccessResourceException

    public TransientDataAccessResourceException(String msg)

  Constructor for TransientDataAccessResourceException.

  Parameters:
    `msg` - the detail message

### TransientDataAccessResourceException

    public TransientDataAccessResourceException(String msg,
                                                Throwable cause)

  Constructor for TransientDataAccessResourceException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause from the data access API in use